Chromium Code Reviews
Help | Chromium Project | Sign in
(7)

Issue 11205004: Fix bug 145175: [Win] Frameless app windows are not resizable if no draggable region is specified (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 1 month ago by jianli
Modified:
4 years, 1 month ago
CC:
chromium-reviews, jeremya+watch_chromium.org, Aaron Boodman, mihaip-chromium-reviews_chromium.org, tfarina
Visibility:
Public.

Description

Fix bug 145175: [Win] Frameless app windows are not resizable if no draggable region is specified This happens because RWHV is created for the new RVH instead of the existing RVH associated with the web contents when navigating a web contents to extension URL (see http://crbug.com/123007). When ShellWindowViews tries to set the clickthrough region for resizing purpose, it fails due to no RWHV for the existing RVH. The fix is to make the native window do it again when RWHV is available after RVH is updated. BUG=145175 TEST=Manual test by launching and resizing frameless window without draggable region specified Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=163698

Patch Set 1 #

Total comments: 1

Patch Set 2 : Make new method pure virtual #

Total comments: 1

Patch Set 3 : Patch to land #

Messages

Total messages: 10 (0 generated)
jianli
4 years, 1 month ago (2012-10-17 21:50:01 UTC) #1
jeremya
lgtm
4 years, 1 month ago (2012-10-17 22:56:45 UTC) #2
jeremya
http://codereview.chromium.org/11205004/diff/1/chrome/browser/ui/extensions/native_shell_window.h File chrome/browser/ui/extensions/native_shell_window.h (right): http://codereview.chromium.org/11205004/diff/1/chrome/browser/ui/extensions/native_shell_window.h#newcode41 chrome/browser/ui/extensions/native_shell_window.h:41: virtual void RenderViewHostChanged() {} It might be better to ...
4 years, 1 month ago (2012-10-17 22:57:33 UTC) #3
jianli
On Wed, Oct 17, 2012 at 3:57 PM, <jeremya@chromium.org> wrote: > > http://codereview.chromium.**org/11205004/diff/1/chrome/** > browser/ui/extensions/native_**shell_window.h<http://codereview.chromium.org/11205004/diff/1/chrome/browser/ui/extensions/native_shell_window.h> ...
4 years, 1 month ago (2012-10-17 23:06:06 UTC) #4
jeremya
Yeah, it's a bit of a pain to add all the implementations of it everywhere. ...
4 years, 1 month ago (2012-10-17 23:14:08 UTC) #5
jianli
New patch uploaded to make it pure virtual. On Wed, Oct 17, 2012 at 4:13 ...
4 years, 1 month ago (2012-10-17 23:15:53 UTC) #6
jianli
Ben, could you please review the patch? Thanks.
4 years, 1 month ago (2012-10-22 21:24:42 UTC) #7
Ben Goodger (Google)
lgtm http://codereview.chromium.org/11205004/diff/10003/chrome/browser/ui/extensions/native_shell_window.h File chrome/browser/ui/extensions/native_shell_window.h (right): http://codereview.chromium.org/11205004/diff/10003/chrome/browser/ui/extensions/native_shell_window.h#newcode38 chrome/browser/ui/extensions/native_shell_window.h:38: // Called when the RenderViewHost is changed. this ...
4 years, 1 month ago (2012-10-23 16:13:35 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jianli@chromium.org/11205004/27001
4 years, 1 month ago (2012-10-23 20:01:08 UTC) #9
commit-bot: I haz the power
4 years, 1 month ago (2012-10-23 22:09:12 UTC) #10
Change committed as 163698
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd